## manila 4.0.0~rc1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# pbr should be first
pbr>=1.8 # Apache-2.0

alembic>=0.8.10 # MIT
Babel>=2.3.4 # BSD
eventlet!=0.18.3,>=0.18.2 # MIT
greenlet>=0.3.2 # MIT
lxml!=3.7.0,>=2.3 # BSD
netaddr!=0.7.16,>=0.7.13 # BSD
oslo.config!=3.18.0,>=3.14.0 # Apache-2.0
oslo.context>=2.9.0 # Apache-2.0
oslo.db>=4.15.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=3.11.0 # Apache-2.0
oslo.messaging>=5.14.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.policy>=1.17.0 # Apache-2.0
oslo.rootwrap>=5.0.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.18.0 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
paramiko>=2.0 # LGPLv2.1+
Paste # MIT
PasteDeploy>=1.5.0 # MIT
pyparsing>=2.1.0 # MIT
python-neutronclient>=5.1.0 # Apache-2.0
keystoneauth1>=2.18.0 # Apache-2.0
keystonemiddleware>=4.12.0 # Apache-2.0
requests!=2.12.2,>=2.10.0 # Apache-2.0
retrying!=1.3.0,>=1.2.3 # Apache-2.0
Routes!=2.0,!=2.1,!=2.3.0,>=1.12.3;python_version=='2.7' # MIT
Routes!=2.0,!=2.3.0,>=1.12.3;python_version!='2.7' # MIT
six>=1.9.0 # MIT
SQLAlchemy<1.1.0,>=1.0.10 # MIT
stevedore>=1.17.1 # Apache-2.0
tooz>=1.47.0 # Apache-2.0
python-cinderclient!=1.7.0,!=1.7.1,>=1.6.0 # Apache-2.0
python-novaclient!=7.0.0,>=6.0.0 # Apache-2.0
WebOb>=1.6.0 # MIT

=== debian/changelog ===
manila (1:4.0.0~rc1-0ubuntu1) zesty; urgency=medium

  * d/control: Add python-tooz. 
  * New upstream milestone for Ocata. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 08 Feb 2017 08:06:00 -0500

=== debian/control ===
Source: manila
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: alembic (>= 0.8.4),
                     python-babel (>= 2.3.4),
                     python-bashate (>= 0.2),
                     python-cinderclient (>= 1:1.6.0),
                     python-coverage (>= 4.0),
                     python-ddt (>= 1.0.1),
                     python-eventlet (>= 0.18.2),
                     python-fixtures (>= 3.0.0),
                     python-greenlet (>= 0.3.2),
                     python-hacking,
                     python-iso8601 (>= 0.1.11),
                     python-keystoneauth1 (>= 2.14.0),
                     python-keystonemiddleware (>= 4.2.0),
                     python-lxml (>= 2.3),
                     python-mock (>= 2.0),
                     python-netaddr (>= 0.7.13),
                     python-neutronclient (>= 1:5.1.0),
                     python-novaclient (>= 2:2.29.0),
                     python-os-testr (>= 0.8.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.context (>= 2.9.0),
                     python-oslo.db (>= 4.11.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 3.16.0),
                     python-oslo.messaging (>= 5.14.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 1.17.0),
                     python-oslo.rootwrap (>= 5.0.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.18.0),
                     python-oslosphinx (>= 4.7.0),
                     python-oslotest (>= 1.10.0),
                     python-paramiko (>= 2.0),
                     python-paste,
                     python-pastedeploy (>= 1.5.0),
                     python-pep8,
                     python-psycopg2 (>= 2.5),
                     python-pymysql (>= 0.7.6),
                     python-pyparsing (>= 2.0.7),
                     python-reno,
                     python-requests (>= 2.10.0),
                     python-requests-mock (>= 1.1),
                     python-retrying (>= 1.2.3),
                     python-routes (>= 1.12.3),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.17.1),
                     python-testresources (>= 0.2.4),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-tooz (>= 1.47.0),
                     python-webob (>= 1.6.0),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18),
Standards-Version: 3.9.6
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/manila
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/manila

Package: python-manila
Section: python
Architecture: all
Depends: alembic (>= 0.8.4),
         python-babel (>= 2.3.4),
         python-cinderclient (>= 1:1.6.0),
         python-eventlet (>= 0.18.2),
         python-greenlet (>= 0.3.2),
         python-keystoneauth1 (>= 2.14.0),
         python-keystonemiddleware (>= 4.2.0),
         python-lxml (>= 2.3),
         python-netaddr (>= 0.7.13),
         python-neutronclient (>= 1:5.1.0),
         python-novaclient (>= 2:2.29.0),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.context (>= 2.9.0),
         python-oslo.db (>= 4.11.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 3.16.0),
         python-oslo.messaging (>= 5.14.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 1.17.0),
         python-oslo.rootwrap (>= 5.0.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.18.0),
         python-paramiko (>= 2.0),
         python-paste,
         python-pastedeploy (>= 1.5.0),
         python-pbr (>= 1.8),
         python-pyparsing (>= 2.0.7),
         python-requests (>= 2.10.0),
         python-retrying (>= 1.2.3),
         python-routes (>= 1.12.3),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.17.1),
         python-tooz (>= 1.47.0),
         python-webob (>= 1.6.0),
         ${misc:Depends},
         ${python:Depends},
Description: Manila Python libraries
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Manila is the OpenStack shared filesystem service.
 .
 This package contains the Python library for Manila.

Package: manila-common
Architecture: all
Depends: adduser,
         python-manila (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Provides: ${python:Provides},
Description: Manila storage service - common files
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Manila is the OpenStack shared filesystem service.
 .
 This package contains commons components for Manila.

Package: manila-api
Architecture: all
Depends: manila-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: Manila storage service - API server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Manila is the OpenStack shared filesystem storage service.
 .
 This package contains the Manila API server.

Package: manila-scheduler
Architecture: all
Depends: manila-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: Manila storage service - Scheduler server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Manila is the OpenStack shared filesystem service.
 .
 This package contains the Manila Scheduler server

Package: manila-data
Architecture: all
Depends: manila-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: Manila storage service - Data service
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Manila is the OpenStack shared filesystem service.
 .
 This package contains the Manila Data service.

Package: manila-share
Architecture: all
Depends: manila-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: Manila storage service - Share service
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Manila is the OpenStack shared filesystem service.
 .
 This package contains the Manila Share service.

## manila 4.0.0~rc2

=== debian/changelog ===
manila (1:4.0.0~rc2-0ubuntu1) zesty; urgency=medium

  * d/control: Cleanup dependencies.
  * d/control, d/tests: Add dep8 tests. 
  * New upstream milestone release for Ocata.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 17 Feb 2017 08:49:27 -0500

## manila 4.0.0

=== debian/changelog ===
manila (1:4.0.0-0ubuntu2) zesty; urgency=medium

  * d/control: Add missing dependency. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 22 Feb 2017 14:46:57 -0500

manila (1:4.0.0-0ubuntu1) zesty; urgency=medium

  * New upstream release for Openstack Ocata. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 22 Feb 2017 10:09:10 -0500

=== debian/control ===
--- 
+++ 
@@ -13,14 +13,12 @@
                python-sphinx,
 Build-Depends-Indep: alembic (>= 0.8.4),
                      python-babel (>= 2.3.4),
-                     python-bashate (>= 0.2),
                      python-cinderclient (>= 1:1.6.0),
                      python-coverage (>= 4.0),
                      python-ddt (>= 1.0.1),
                      python-eventlet (>= 0.18.2),
                      python-fixtures (>= 3.0.0),
                      python-greenlet (>= 0.3.2),
-                     python-hacking,
                      python-iso8601 (>= 0.1.11),
                      python-keystoneauth1 (>= 2.14.0),
                      python-keystonemiddleware (>= 4.2.0),
@@ -52,7 +50,6 @@
                      python-psycopg2 (>= 2.5),
                      python-pymysql (>= 0.7.6),
                      python-pyparsing (>= 2.0.7),
-                     python-reno,
                      python-requests (>= 2.10.0),
                      python-requests-mock (>= 1.1),
                      python-retrying (>= 1.2.3),
@@ -70,6 +67,7 @@
 Standards-Version: 3.9.6
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/manila
 Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/manila
+XS-Testsuite: autopkgtest
 
 Package: python-manila
 Section: python
@@ -98,10 +96,10 @@
          python-oslo.serialization (>= 1.10.0),
          python-oslo.service (>= 1.10.0),
          python-oslo.utils (>= 3.18.0),
+         python-pymsql,
          python-paramiko (>= 2.0),
          python-paste,
          python-pastedeploy (>= 1.5.0),
-         python-pbr (>= 1.8),
          python-pyparsing (>= 2.0.7),
          python-requests (>= 2.10.0),
          python-retrying (>= 1.2.3),

=== debian/tests/control ===
Tests: manila-daemons, python-manila
Depends: python-manila, manila-common, manila-api, manila-scheduler,
 manila-data, manila-share, mysql-server
Restrictions: needs-root allow-stderr

## manila 4.0.1

=== debian/changelog ===
manila (1:4.0.1-1) unstable; urgency=medium

  * New upstream version
  * Edit debian/control requirements
  * Edit allow_newer_sqlalchemy.patch

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 21 Nov 2017 19:41:16 +0100

manila (1:3.0.0~b2-2) experimental; urgency=medium

  * Added python-pep8 to build depends (Closes: #834839)

 -- Ondřej Nový <onovy@debian.org>  Fri, 19 Aug 2016 23:40:21 +0200

=== debian/control ===
Source: manila
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Malihe Asemani <ml.asemani@gmail.com>,
           Andreas Tille <andreas@an3as.eu>,
           Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 10),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 54~),
               po-debconf,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: alembic (>= 0.8.8),
                     git,
                     python-babel (>= 2.3.4),
                     python-bashate,
                     python-cinderclient (>= 1:1.6.0),
                     python-coverage,
                     python-ddt (>= 1.0.1),
                     python-eventlet (>= 0.18.4),
                     python-fixtures (>= 3.0.0),
                     python-greenlet,
                     python-hacking,
                     python-iso8601 (>= 0.1.11),
                     python-keystoneauth1 (>= 2.18.0),
                     python-keystonemiddleware (>= 4.12.0),
                     python-lxml,
                     python-mock (>= 2.0),
                     python-mysqldb,
                     python-netaddr (>= 0.7.13),
                     python-neutronclient (>= 1:5.1.0),
                     python-novaclient (>= 2:6.0.0),
                     python-openstackdocstheme (>= 1.5.0),
                     python-os-api-ref,
                     python-os-testr (>= 0.8.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.context (>= 2.9.0),
                     python-oslo.db (>= 4.15.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 3.11.0),
                     python-oslo.messaging (>= 5.14.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 1.17.0),
                     python-oslo.rootwrap (>= 5.0.0),
                     python-oslo.serialization (>= 2.0.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.18.0),
                     python-oslosphinx (>= 4.7.0),
                     python-oslotest (>= 1:1.10.0),
                     python-paramiko (>= 2.0),
                     python-paste,
                     python-pastedeploy,
                     python-pep8,
                     python-psycopg2 (>= 2.5),
                     python-pymysql,
                     python-pyparsing (>= 2.1.0),
                     python-requests (>= 2.10.0),
                     python-requests-mock (>= 1.1),
                     python-retrying (>= 1.3.3),
                     python-routes,
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.17.1),
                     python-tooz (>= 1.47.0),
                     python-testresources,
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-reno,
                     python-webob (>= 1.6.0),
                     subunit,
                     testrepository,
Build-Conflicts: bpython,
                 ipython,
Standards-Version: 3.9.8
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-manila?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-manila -b debian/newton
Homepage: https://github.com/openstack/manila

Package: python-manila
Section: python
Architecture: all
Depends: alembic (>= 0.8.8),
         python-babel (>= 2.3.4),
         python-cinderclient (>= 1:1.6.0),
         python-eventlet (>= 0.18.4),
         python-greenlet,
         python-keystoneauth1 (>= 2.18.0),
         python-keystonemiddleware (>= 4.12.0),
         python-lxml,
         python-netaddr (>= 0.7.13),
         python-neutronclient (>= 1:5.1.0),
         python-novaclient (>= 2:6.0.0),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.context (>= 2.9.0),
         python-oslo.db (>= 4.15.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 3.11.0),
         python-oslo.messaging (>= 5.14.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 1.17.0),
         python-oslo.rootwrap (>= 5.0.0),
         python-oslo.serialization (>= 2.0.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.18.0),
         python-paramiko (>= 2.0),
         python-paste,
         python-pastedeploy,
         python-pbr (>= 1.8),
         python-psycopg2 (>= 2.5),
         python-pymysql,
         python-pyparsing (>= 2.1.0),
         python-requests (>= 2.10.0),
         python-retrying (>= 1.3.3),
         python-routes,
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.17.1),
         python-tooz (>= 1.47.0),
         python-webob (>= 1.6.0),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack shared file system as a service - Python libs
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Python library for Manila.

Package: manila-common
Architecture: all
Depends: adduser,
         dbconfig-common,
         python-manila (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Provides: ${python:Provides},
Description: OpenStack shared file system as a service - common files
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains commons components for Manila.

Package: manila-api
Architecture: all
Depends: adduser,
         manila-common (= ${binary:Version}),
         python-openstackclient,
         q-text-as-data,
         ${ostack-lsb-base},
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack shared file system as a service - API server
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Manila API server.

Package: manila-scheduler
Architecture: all
Depends: manila-common (= ${binary:Version}),
         ${ostack-lsb-base},
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack shared file system as a service - Scheduler server
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Manila Scheduler server.

Package: manila-share
Architecture: all
Depends: manila-common (= ${binary:Version}),
         ${ostack-lsb-base},
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack shared file system as a service - Share server
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Manila Share daemon.

Package: manila-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: OpenStack shared file system as a service - Doc
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the documentation.

## manila 5.0.0~b1

=== debian/changelog ===
manila (1:5.0.0~b1-0ubuntu2) artful; urgency=medium

  * No-change rebuild for sqlalchemy 1.1.x.

 -- James Page <james.page@ubuntu.com>  Fri, 28 Apr 2017 10:06:46 +0100

manila (1:5.0.0~b1-0ubuntu1) artful; urgency=medium

  * New upstream milestone for OpenStack Pike.
  * Align (Build-)Depends with upstream milestone.

 -- James Page <james.page@ubuntu.com>  Wed, 26 Apr 2017 14:48:19 +0100

manila (1:4.0.0-0ubuntu3) zesty; urgency=medium

  * d/control: Fix typo. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 22 Feb 2017 16:20:20 -0500

=== debian/control ===
Source: manila
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-pbr (>= 2.0.0),
               python-setuptools,
               python-sphinx (>= 1.5.1),
Build-Depends-Indep: alembic (>= 0.8.4),
                     python-babel (>= 2.3.4),
                     python-cinderclient (>= 1:2.0.1),
                     python-coverage (>= 4.0),
                     python-ddt (>= 1.0.1),
                     python-eventlet (>= 0.18.2),
                     python-fixtures (>= 3.0.0),
                     python-greenlet (>= 0.3.2),
                     python-iso8601 (>= 0.1.11),
                     python-keystoneauth1 (>= 2.18.0),
                     python-keystonemiddleware (>= 4.2.0),
                     python-lxml (>= 2.3),
                     python-mock (>= 2.0),
                     python-netaddr (>= 0.7.13),
                     python-neutronclient (>= 1:5.1.0),
                     python-novaclient (>= 2:7.1.0),
                     python-os-testr (>= 0.8.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.22.0),
                     python-oslo.context (>= 2.12.0),
                     python-oslo.db (>= 4.19.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 3.16.0),
                     python-oslo.messaging (>= 5.19.0),
                     python-oslo.middleware (>= 3.10.0),
                     python-oslo.policy (>= 1.17.0),
                     python-oslo.rootwrap (>= 5.0.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.20.0),
                     python-oslosphinx (>= 4.7.0),
                     python-oslotest (>= 1.10.0),
                     python-paramiko (>= 2.0),
                     python-paste,
                     python-pastedeploy (>= 1.5.0),
                     python-pep8,
                     python-psycopg2 (>= 2.5),
                     python-pymysql (>= 0.7.6),
                     python-pyparsing (>= 2.0.7),
                     python-requests (>= 2.10.0),
                     python-requests-mock (>= 1.1),
                     python-retrying (>= 1.2.3),
                     python-routes (>= 1.12.3),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.20.0),
                     python-testresources (>= 0.2.4),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-tooz (>= 1.47.0),
                     python-webob (>= 1.7.1),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18),
Standards-Version: 3.9.6
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/manila
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/manila
XS-Testsuite: autopkgtest

Package: python-manila
Section: python
Architecture: all
Depends: alembic (>= 0.8.4),
         python-babel (>= 2.3.4),
         python-cinderclient (>= 1:2.0.1),
         python-eventlet (>= 0.18.2),
         python-greenlet (>= 0.3.2),
         python-keystoneauth1 (>= 2.18.0),
         python-keystonemiddleware (>= 4.2.0),
         python-lxml (>= 2.3),
         python-netaddr (>= 0.7.13),
         python-neutronclient (>= 1:5.1.0),
         python-novaclient (>= 2:7.1.0),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:3.22.0),
         python-oslo.context (>= 2.12.0),
         python-oslo.db (>= 4.19.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 3.16.0),
         python-oslo.messaging (>= 5.19.0),
         python-oslo.middleware (>= 3.10.0),
         python-oslo.policy (>= 1.17.0),
         python-oslo.rootwrap (>= 5.0.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.20.0),
         python-pymysql,
         python-paramiko (>= 2.0),
         python-paste,
         python-pastedeploy (>= 1.5.0),
         python-pyparsing (>= 2.0.7),
         python-requests (>= 2.10.0),
         python-retrying (>= 1.2.3),
         python-routes (>= 1.12.3),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.20.0),
         python-tooz (>= 1.47.0),
         python-webob (>= 1.7.1),
         ${misc:Depends},
         ${python:Depends},
Description: Manila Python libraries
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Manila is the OpenStack shared filesystem service.
 .
 This package contains the Python library for Manila.

Package: manila-common
Architecture: all
Depends: adduser,
         python-manila (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Provides: ${python:Provides},
Description: Manila storage service - common files
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Manila is the OpenStack shared filesystem service.
 .
 This package contains commons components for Manila.

Package: manila-api
Architecture: all
Depends: manila-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: Manila storage service - API server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Manila is the OpenStack shared filesystem storage service.
 .
 This package contains the Manila API server.

Package: manila-scheduler
Architecture: all
Depends: manila-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: Manila storage service - Scheduler server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Manila is the OpenStack shared filesystem service.
 .
 This package contains the Manila Scheduler server

Package: manila-data
Architecture: all
Depends: manila-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: Manila storage service - Data service
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Manila is the OpenStack shared filesystem service.
 .
 This package contains the Manila Data service.

Package: manila-share
Architecture: all
Depends: manila-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: Manila storage service - Share service
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Manila is the OpenStack shared filesystem service.
 .
 This package contains the Manila Share service.

## manila 5.0.0~b2

=== debian/changelog ===
manila (1:5.0.0~b2-0ubuntu1) artful; urgency=medium

  * d/manila-common.install: Install manila-wsgi binary.
  * New upstream milestone for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Bumped Standards-Version to 3.9.8, no changes.

 -- James Page <james.page@ubuntu.com>  Tue, 13 Jun 2017 13:09:00 +0100

=== debian/control ===
--- 
+++ 
@@ -20,22 +20,22 @@
                      python-fixtures (>= 3.0.0),
                      python-greenlet (>= 0.3.2),
                      python-iso8601 (>= 0.1.11),
-                     python-keystoneauth1 (>= 2.18.0),
+                     python-keystoneauth1 (>= 2.20.0),
                      python-keystonemiddleware (>= 4.2.0),
                      python-lxml (>= 2.3),
                      python-mock (>= 2.0),
                      python-netaddr (>= 0.7.13),
-                     python-neutronclient (>= 1:5.1.0),
+                     python-neutronclient (>= 1:6.3.0),
                      python-novaclient (>= 2:7.1.0),
                      python-os-testr (>= 0.8.0),
                      python-oslo.concurrency (>= 3.8.0),
-                     python-oslo.config (>= 1:3.22.0),
-                     python-oslo.context (>= 2.12.0),
-                     python-oslo.db (>= 4.19.0),
+                     python-oslo.config (>= 1:4.0.0),
+                     python-oslo.context (>= 2.14.0),
+                     python-oslo.db (>= 4.21.1),
                      python-oslo.i18n (>= 2.1.0),
-                     python-oslo.log (>= 3.16.0),
-                     python-oslo.messaging (>= 5.19.0),
-                     python-oslo.middleware (>= 3.10.0),
+                     python-oslo.log (>= 3.22.0),
+                     python-oslo.messaging (>= 5.25.0),
+                     python-oslo.middleware (>= 3.27.0),
                      python-oslo.policy (>= 1.17.0),
                      python-oslo.rootwrap (>= 5.0.0),
                      python-oslo.serialization (>= 1.10.0),
@@ -53,7 +53,7 @@
                      python-requests (>= 2.10.0),
                      python-requests-mock (>= 1.1),
                      python-retrying (>= 1.2.3),
-                     python-routes (>= 1.12.3),
+                     python-routes (>= 2.3.1),
                      python-six (>= 1.9.0),
                      python-sqlalchemy (>= 1.0.10),
                      python-stevedore (>= 1.20.0),
@@ -64,7 +64,7 @@
                      python-webob (>= 1.7.1),
                      subunit (>= 0.0.18),
                      testrepository (>= 0.0.18),
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/manila
 Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/manila
 XS-Testsuite: autopkgtest
@@ -77,33 +77,33 @@
          python-cinderclient (>= 1:2.0.1),
          python-eventlet (>= 0.18.2),
          python-greenlet (>= 0.3.2),
-         python-keystoneauth1 (>= 2.18.0),
+         python-keystoneauth1 (>= 2.20.0),
          python-keystonemiddleware (>= 4.2.0),
          python-lxml (>= 2.3),
          python-netaddr (>= 0.7.13),
-         python-neutronclient (>= 1:5.1.0),
+         python-neutronclient (>= 1:6.3.0),
          python-novaclient (>= 2:7.1.0),
          python-oslo.concurrency (>= 3.8.0),
-         python-oslo.config (>= 1:3.22.0),
-         python-oslo.context (>= 2.12.0),
-         python-oslo.db (>= 4.19.0),
+         python-oslo.config (>= 1:4.0.0),
+         python-oslo.context (>= 2.14.0),
+         python-oslo.db (>= 4.21.1),
          python-oslo.i18n (>= 2.1.0),
-         python-oslo.log (>= 3.16.0),
-         python-oslo.messaging (>= 5.19.0),
-         python-oslo.middleware (>= 3.10.0),
+         python-oslo.log (>= 3.22.0),
+         python-oslo.messaging (>= 5.25.0),
+         python-oslo.middleware (>= 3.27.0),
          python-oslo.policy (>= 1.17.0),
          python-oslo.rootwrap (>= 5.0.0),
          python-oslo.serialization (>= 1.10.0),
          python-oslo.service (>= 1.10.0),
          python-oslo.utils (>= 3.20.0),
-         python-pymysql,
          python-paramiko (>= 2.0),
          python-paste,
          python-pastedeploy (>= 1.5.0),
+         python-pymysql,
          python-pyparsing (>= 2.0.7),
          python-requests (>= 2.10.0),
          python-retrying (>= 1.2.3),
-         python-routes (>= 1.12.3),
+         python-routes (>= 2.3.1),
          python-six (>= 1.9.0),
          python-sqlalchemy (>= 1.0.10),
          python-stevedore (>= 1.20.0),

## manila 5.0.0~b3

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# pbr should be first
pbr!=2.1.0,>=2.0.0 # Apache-2.0

alembic>=0.8.10 # MIT
Babel!=2.4.0,>=2.3.4 # BSD
eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
greenlet>=0.3.2 # MIT
lxml!=3.7.0,>=2.3 # BSD
netaddr!=0.7.16,>=0.7.13 # BSD
oslo.config!=4.3.0,!=4.4.0,>=4.0.0 # Apache-2.0
oslo.context>=2.14.0 # Apache-2.0
oslo.db>=4.24.0 # Apache-2.0
oslo.i18n!=3.15.2,>=2.1.0 # Apache-2.0
oslo.log>=3.22.0 # Apache-2.0
oslo.messaging!=5.25.0,>=5.24.2 # Apache-2.0
oslo.middleware>=3.27.0 # Apache-2.0
oslo.policy>=1.23.0 # Apache-2.0
oslo.reports>=0.6.0 # Apache-2.0
oslo.rootwrap>=5.0.0 # Apache-2.0
oslo.serialization!=2.19.1,>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
paramiko>=2.0 # LGPLv2.1+
Paste # MIT
PasteDeploy>=1.5.0 # MIT
pyparsing>=2.1.0 # MIT
python-neutronclient>=6.3.0 # Apache-2.0
keystoneauth1>=3.0.1 # Apache-2.0
keystonemiddleware>=4.12.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0
retrying!=1.3.0,>=1.2.3 # Apache-2.0
Routes>=2.3.1 # MIT
six>=1.9.0 # MIT
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
stevedore>=1.20.0 # Apache-2.0
tooz>=1.47.0 # Apache-2.0
python-cinderclient>=3.0.0 # Apache-2.0
python-novaclient>=9.0.0 # Apache-2.0
WebOb>=1.7.1 # MIT

=== debian/changelog ===
manila (1:5.0.0~b3-0ubuntu2) artful; urgency=medium

  * d/control: Set min python-requests to 2.14.2.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Aug 2017 16:18:42 -0400

manila (1:5.0.0~b3-0ubuntu1) artful; urgency=medium

  * New upstream milestone for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/update-tests-for-ipaddress-1.0.17.patch: Skip test_update_access
    as the CIDR in the expected vs actual call to _ssh_exec do not match.
    Bug opened upstream as possibly a deeper issue here with use of
    ipaddress python library in base manila code.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 28 Jul 2017 16:26:30 -0400

manila (1:5.0.0~b2-0ubuntu2) artful; urgency=medium

  * d/tests/control,manila-daemons: Tidy test script and use of MySQL,
    skip test of manila-share as this requires a full OpenStack cloud
    to actually run.

 -- James Page <james.page@ubuntu.com>  Fri, 16 Jun 2017 10:54:52 +0100

=== debian/control ===
--- 
+++ 
@@ -13,30 +13,32 @@
                python-sphinx (>= 1.5.1),
 Build-Depends-Indep: alembic (>= 0.8.4),
                      python-babel (>= 2.3.4),
-                     python-cinderclient (>= 1:2.0.1),
+                     python-cinderclient (>= 1:3.0.0),
                      python-coverage (>= 4.0),
                      python-ddt (>= 1.0.1),
                      python-eventlet (>= 0.18.2),
                      python-fixtures (>= 3.0.0),
                      python-greenlet (>= 0.3.2),
                      python-iso8601 (>= 0.1.11),
-                     python-keystoneauth1 (>= 2.20.0),
+                     python-keystoneauth1 (>= 3.0.1),
                      python-keystonemiddleware (>= 4.2.0),
                      python-lxml (>= 2.3),
                      python-mock (>= 2.0),
                      python-netaddr (>= 0.7.13),
                      python-neutronclient (>= 1:6.3.0),
-                     python-novaclient (>= 2:7.1.0),
+                     python-novaclient (>= 2:9.0.0),
+                     python-openstackdocstheme (>= 1.11.0),
                      python-os-testr (>= 0.8.0),
                      python-oslo.concurrency (>= 3.8.0),
                      python-oslo.config (>= 1:4.0.0),
                      python-oslo.context (>= 2.14.0),
-                     python-oslo.db (>= 4.21.1),
+                     python-oslo.db (>= 4.24.0),
                      python-oslo.i18n (>= 2.1.0),
                      python-oslo.log (>= 3.22.0),
                      python-oslo.messaging (>= 5.25.0),
                      python-oslo.middleware (>= 3.27.0),
-                     python-oslo.policy (>= 1.17.0),
+                     python-oslo.policy (>= 1.23.0),
+                     python-oslo.reports (>= 0.6.0),
                      python-oslo.rootwrap (>= 5.0.0),
                      python-oslo.serialization (>= 1.10.0),
                      python-oslo.service (>= 1.10.0),
@@ -50,7 +52,7 @@
                      python-psycopg2 (>= 2.5),
                      python-pymysql (>= 0.7.6),
                      python-pyparsing (>= 2.0.7),
-                     python-requests (>= 2.10.0),
+                     python-requests (>= 2.14.2),
                      python-requests-mock (>= 1.1),
                      python-retrying (>= 1.2.3),
                      python-routes (>= 2.3.1),
@@ -74,24 +76,25 @@
 Architecture: all
 Depends: alembic (>= 0.8.4),
          python-babel (>= 2.3.4),
-         python-cinderclient (>= 1:2.0.1),
+         python-cinderclient (>= 1:3.0.0),
          python-eventlet (>= 0.18.2),
          python-greenlet (>= 0.3.2),
-         python-keystoneauth1 (>= 2.20.0),
+         python-keystoneauth1 (>= 3.0.1),
          python-keystonemiddleware (>= 4.2.0),
          python-lxml (>= 2.3),
          python-netaddr (>= 0.7.13),
          python-neutronclient (>= 1:6.3.0),
-         python-novaclient (>= 2:7.1.0),
+         python-novaclient (>= 2:9.0.0),
          python-oslo.concurrency (>= 3.8.0),
          python-oslo.config (>= 1:4.0.0),
          python-oslo.context (>= 2.14.0),
-         python-oslo.db (>= 4.21.1),
+         python-oslo.db (>= 4.24.0),
          python-oslo.i18n (>= 2.1.0),
          python-oslo.log (>= 3.22.0),
          python-oslo.messaging (>= 5.25.0),
          python-oslo.middleware (>= 3.27.0),
-         python-oslo.policy (>= 1.17.0),
+         python-oslo.policy (>= 1.23.0),
+         python-oslo.reports (>= 0.6.0),
          python-oslo.rootwrap (>= 5.0.0),
          python-oslo.serialization (>= 1.10.0),
          python-oslo.service (>= 1.10.0),
@@ -101,7 +104,7 @@
          python-pastedeploy (>= 1.5.0),
          python-pymysql,
          python-pyparsing (>= 2.0.7),
-         python-requests (>= 2.10.0),
+         python-requests (>= 2.14.2),
          python-retrying (>= 1.2.3),
          python-routes (>= 2.3.1),
          python-six (>= 1.9.0),

## manila 5.0.0~rc1

=== debian/changelog ===
manila (1:5.0.0~rc1-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 Aug 2017 21:00:51 -0400

=== debian/control ===
--- 
+++ 
@@ -13,21 +13,22 @@
                python-sphinx (>= 1.5.1),
 Build-Depends-Indep: alembic (>= 0.8.4),
                      python-babel (>= 2.3.4),
-                     python-cinderclient (>= 1:3.0.0),
+                     python-cinderclient (>= 1:3.1.0),
                      python-coverage (>= 4.0),
                      python-ddt (>= 1.0.1),
                      python-eventlet (>= 0.18.2),
                      python-fixtures (>= 3.0.0),
                      python-greenlet (>= 0.3.2),
+                     python-ipaddress (>= 1.0.7),
                      python-iso8601 (>= 0.1.11),
-                     python-keystoneauth1 (>= 3.0.1),
+                     python-keystoneauth1 (>= 3.1.0),
                      python-keystonemiddleware (>= 4.2.0),
                      python-lxml (>= 2.3),
                      python-mock (>= 2.0),
                      python-netaddr (>= 0.7.13),
                      python-neutronclient (>= 1:6.3.0),
                      python-novaclient (>= 2:9.0.0),
-                     python-openstackdocstheme (>= 1.11.0),
+                     python-openstackdocstheme (>= 1.16.0),
                      python-os-testr (>= 0.8.0),
                      python-oslo.concurrency (>= 3.8.0),
                      python-oslo.config (>= 1:4.0.0),
@@ -76,10 +77,11 @@
 Architecture: all
 Depends: alembic (>= 0.8.4),
          python-babel (>= 2.3.4),
-         python-cinderclient (>= 1:3.0.0),
+         python-cinderclient (>= 1:3.1.0),
          python-eventlet (>= 0.18.2),
          python-greenlet (>= 0.3.2),
-         python-keystoneauth1 (>= 3.0.1),
+         python-ipaddress (>= 1.0.7),
+         python-keystoneauth1 (>= 3.1.0),
          python-keystonemiddleware (>= 4.2.0),
          python-lxml (>= 2.3),
          python-netaddr (>= 0.7.13),

=== debian/tests/control ===
Tests: manila-daemons, python-manila
Depends: python-manila, manila-common, manila-api, manila-scheduler,
 manila-data, manila-share, mysql-server, crudini
Restrictions: needs-root allow-stderr

## manila 5.0.0

=== requirements.txt ===
--- 
+++ 
@@ -9,6 +9,7 @@
 Babel!=2.4.0,>=2.3.4 # BSD
 eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
 greenlet>=0.3.2 # MIT
+ipaddress>=1.0.7;python_version<'3.3' # PSF
 lxml!=3.7.0,>=2.3 # BSD
 netaddr!=0.7.16,>=0.7.13 # BSD
 oslo.config!=4.3.0,!=4.4.0,>=4.0.0 # Apache-2.0
@@ -30,7 +31,7 @@
 PasteDeploy>=1.5.0 # MIT
 pyparsing>=2.1.0 # MIT
 python-neutronclient>=6.3.0 # Apache-2.0
-keystoneauth1>=3.0.1 # Apache-2.0
+keystoneauth1>=3.1.0 # Apache-2.0
 keystonemiddleware>=4.12.0 # Apache-2.0
 requests>=2.14.2 # Apache-2.0
 retrying!=1.3.0,>=1.2.3 # Apache-2.0
@@ -39,6 +40,6 @@
 SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
 stevedore>=1.20.0 # Apache-2.0
 tooz>=1.47.0 # Apache-2.0
-python-cinderclient>=3.0.0 # Apache-2.0
+python-cinderclient>=3.1.0 # Apache-2.0
 python-novaclient>=9.0.0 # Apache-2.0
 WebOb>=1.7.1 # MIT

=== debian/changelog ===
manila (1:5.0.0-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 30 Aug 2017 14:36:09 +0000

manila (1:5.0.0-0ubuntu1) artful; urgency=medium

  * New upstream release for OpenStack Pike.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Aug 2017 09:30:03 -0400

manila (1:5.0.0~rc1-0ubuntu2) artful; urgency=medium

  * d/manila-common.postinst: Drop db sync (LP: #1713059).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 29 Aug 2017 11:18:30 -0400
